/*
 * Copyright 2006-2007 Queplix Corp.
 *
 * Licensed under the Queplix Public License, Version 1.1.1 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.queplix.com/solutions/commercial-open-source/queplix-public-license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 *
 */

package com.queplix.core.client.app.vo;

import java.util.Collection;

/**
 * This class determine all the data required for the entity update.
 *
 * @author Sergey Kozmin
 * @since 01.11.2006, 15:52:01
 */
public class EntityUpdateRequestObject extends EntityDataRequestObject {
    private Long rowID;

    public EntityUpdateRequestObject(String formID, Collection fieldsFilterData,
                                     Long rowID) {
        super(formID, fieldsFilterData);
        this.rowID = rowID;
    }

    public EntityUpdateRequestObject(String formID, Long rowID) {
        this(formID, null, rowID);
    }

    public EntityUpdateRequestObject() {
        this(null, null, null);
    }

    public Long getRowID() {
        return rowID;
    }
}
